Class | RUNIT::TestCase
In: | runit/testcase.rb
Parent: | Test::Unit::TestCase

### Methods

assert_equals name new run suite

### Included Modules

RUNIT::Assert

### Public Class methods

new(test_name, suite_name=self.class.name)

[Source]

    # File runit/testcase.rb, line 28
        def initialize(test_name, suite_name=self.class.name)
          super(test_name)
        end

suite()

[Source]

    # File runit/testcase.rb, line 15
        def self.suite
          method_names = instance_methods(true)
          tests = method_names.delete_if { |method_name| method_name !~ /^test/ }
          suite = TestSuite.new(name)
          tests.each {
            |test|
            catch(:invalid_test) {
              suite << new(test, name)
            }
          }
          return suite
        end

### Public Instance methods

assert_equals(*args)

[Source]

    # File runit/testcase.rb, line 32
        def assert_equals(*args)
          assert_equal(*args)
        end

name()

[Source]

    # File runit/testcase.rb, line 36
        def name
          super.sub(/^(.*?)\((.*)\)$/, '\2#\1')
        end

run(result, &progress_block)

[Source]

    # File runit/testcase.rb, line 40
        def run(result, &progress_block)
          progress_block = proc {} unless (block_given?)
          super(result, &progress_block)
        end

[Validate]